#!/bin/sh
#insert whatever you need and customize

# Define your network here!
# Include the directory for modules which reside in a subdirectory.
# Or, edit the path in the insmod command(s) below.

# Variables

MODULE1="tulip/tulip.o"
MODULE2=
MODULE3=
# IPADDRESS=192.168.0.7
IPADDRESS=10.1.1.3
# NETMASK=255.255.255.0
NETMASK=255.0.0.0
# HOSTNAME=snakebyte
HOSTNAME=
# GATEWAY=192.168.0.3
GATEWAY=10.1.1.1
# NAMESERVER=192.168.0.3
NAMESERVER=10.1.1.1

# If defined, these entries will be added to /etc/hosts.
# An entry for 127.0.0.1 localhost already exists.

# HOST1="192.168.0.3	tuxfan.local		tuxfan"
# HOST2="192.168.0.5	enigma.local		enigma"
# HOST3="192.168.0.7	snakebyte.local		snakebyte"
# HOST4="192.168.0.1	paradox.local		paradox"

# End Variables

# Edit and comment/uncomment actions, then run the script.

# Load needed modules.

modprobe tulip
# insmod /mnt/floppy/modules/kernel/drivers/net/"$MODULE2"
# insmod /mnt/floppy/modules/kernel/drivers/net/"$MODULE3"

# Bring up the network

ifconfig lo 127.0.0.1
ifconfig eth0 "$IPADDRESS" netmask "$NETMASK"

route add default gw "$GATEWAY"

hostname "$HOSTNAME"

# If you use this, it will overwrite the entry
# for the default nameserver in /etc/resolv.conf

[ -f /etc/resolv.conf ] && {
    cp /etc/resolv.conf /etc/resolv.conf.orig
    echo /etc/resolv.conf has been saved in /etc/resolv.conf.orig
}
echo "search local" > /etc/resolv.conf
[ ! -z "$NAMESERVER" ] && echo "nameserver $NAMESERVER" >> /etc/resolv.conf

# Populate /etc/hosts

echo "$HOST1" >> /etc/hosts
echo "$HOST2" >> /etc/hosts
echo "$HOST3" >> /etc/hosts
echo "$HOST4" >> /etc/hosts

echo press ENTER; read x