#! /bin/sh
#
#  select_keymap.sh


while :
do
    # If you add keymaps to ...filesystem/etc/i18n also add the
    # corresponding keymap in config_new.sh
dialog --no-collapse --menu '
    If you have a keyboard other than US choose a keymap below,
    otherwise select Cancle

' 12 70 3 `ls /etc/i18n | grep -n . | sed -e 's/:/ /'` 2>/tmp/dialog.inp

    keymap_num=`cat /tmp/dialog.inp`
    if [ ! -z "$keymap_num" ]; then
        keymap=`ls /etc/i18n | grep -n '.' | grep "^${keymap_num}:" | cut -d: -f2`
        if [ -r /etc/i18n/${keymap} ]; then
            /sbin/loadkmap < /etc/i18n/${keymap}
            #     echo "keymap <${keymap}> loaded" | tee -a $install_log
            #     echo "You can try your keys now, continue with ENTER"
            #     read x
	    break
        else
            echo "Unknown keymap <${keymap}>, try again"
    	continue
        fi
    else
	echo Using us keymap
	break
    fi
done
export keymap
